Beats breaking changesedit

This list summarizes the most important breaking changes in Beats. For the complete list, go to Beats breaking changes.

Environment variables can no longer reference other environment variablesedit

Environment variables are still supported in the Beats configuration. However, starting in Version 7.7.0, an environment variable cannot reference another environment variable or event in the configuration.

For example, if you have export VAR1=${VAR2} and use var: ${VAR1} in the configuration, this results in var: "${VAR2}", where ${VAR2} is not expanded.

Docker and kubernetes processors no longer allowed in script processoredit

Prior to this release, it was possible to use the add_docker_metadata and add_kubernetes_metadata processors in the script processor. This was not a good practice because it sometimes resulted in memory and file descriptor leaks.

Starting in version 7.7.0, scripts that use these processors will fail. To resolve this problem, define the processors in your configuration instead of the script.